import React from 'react';
import './App.css';
import { BrowserRouter as Router, Switch, Route } from 'react-router-dom';
import { Routes } from "./routes";
import Home from "./components/Home/index";
import Profile from "./components/Profile/index";
import TraceCode from "./components/TraceCode/index";


function App() {
  return (
    <Router>
      <Switch>
        <Route exact path="/">
          <Home />
        </Route>
        <Route path={Routes.Profile.path}>
          <Profile />
        </Route>
        <Route path={Routes.TraceCode.path}>
          <TraceCode />
        </Route>
      </Switch>
    </Router>
  );
}

export default App;
