import React from 'react';
import { Card, Row, Col } from 'react-bootstrap';
import { useHistory } from 'react-router-dom';
import dummyData from '../../data/index.json';
import { Routes } from '../../routes';

const Profile = () => {
  const history = useHistory();
  return (
    dummyData.data && dummyData.data.length > 0 ?
      dummyData.data.map((data, key) => {
        return (
          <Card className="px-0 px-md-4 py-0 border-0" key={key}>
            <Card.Body>
              <Row className="mb-2">
                <Col xs={8}>
                  <h5 className="text-primary fw-bold">{data.name}</h5>
                  <img src={window.location.origin + data.logo} alt="logo" height="250px" />
                </Col>
                <Col xs={4} className="text-right">
                  <img src={window.location.origin + data.qr_code} alt="qrcode" />
                </Col>
              </Row>
              <Row>
                <Col>
                  <div className="mb-3">
                    <div className="h5">Số điện thoại</div>
                    <div>{data.phone_number}</div>
                  </div>
                  <div className="mb-3">
                    <div className="h5">Địa chỉ</div>
                    <div>{data.address}</div>
                  </div>
                  <div className="mb-3">
                    <div className="h5">Sản phẩm</div>
                    <div>{data.profile_product && data.profile_product.length > 0 ? data.profile_product.map(product => {
                      const onHandleTraceCode = () => {
                        history.push({
                          pathname: Routes.TraceCode.path + `/${product.trace_code}`,
                          state: { product }
                        });
                      }
                      return (
                        <>
                          <div className="mb-3">{product.name}</div>
                          <img className="mb-3" src={window.location.origin + product.image} alt="product" onClick={onHandleTraceCode} />
                          <div>
                            <div className="h5">Mô tả</div>
                            <div>{product.description}</div>
                          </div>
                        </>
                      );
                    }) : null}</div>
                  </div>
                </Col>
              </Row>
            </Card.Body>
          </Card>
        );
      }) : <div></div>
  );
}

export default Profile;

